@import 'Smart.WiSDoM.Vertical.WorksOrder.Admin.Client.gkwok2dhj5.bundle.scp.css';
@import '_content/Blazor.Bootstrap/Blazor.Bootstrap.olwso25aue.bundle.scp.css';

/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-de5ny620cv] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-de5ny620cv] {
    flex: 1;
}

.sidebar[b-de5ny620cv] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-de5ny620cv] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-de5ny620cv]  a, .top-row[b-de5ny620cv]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-de5ny620cv]  a:hover, .top-row[b-de5ny620cv]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-de5ny620cv]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-de5ny620cv] {
        justify-content: space-between;
    }

    .top-row[b-de5ny620cv]  a, .top-row[b-de5ny620cv]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-de5ny620cv] {
        flex-direction: row;
    }

    .sidebar[b-de5ny620cv] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-de5ny620cv] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-de5ny620cv]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-de5ny620cv], article[b-de5ny620cv] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-de5ny620cv] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-de5ny620cv] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-92ly79qlsd] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

.navbar-toggler:checked[b-92ly79qlsd] {
    background-color: rgba(255, 255, 255, 0.5);
}

.top-row[b-92ly79qlsd] {
    min-height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-92ly79qlsd] {
    font-size: 1.1rem;
}

.bi[b-92ly79qlsd] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-92ly79qlsd] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-92ly79qlsd] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-92ly79qlsd] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-92ly79qlsd] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-92ly79qlsd] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-92ly79qlsd] {
        padding-bottom: 1rem;
    }

    .nav-item[b-92ly79qlsd]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

.nav-item[b-92ly79qlsd]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-92ly79qlsd]  .nav-link:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.nav-scrollable[b-92ly79qlsd] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-92ly79qlsd] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-92ly79qlsd] {
        display: none;
    }

    .nav-scrollable[b-92ly79qlsd] {
        /* Never collapse the sidebar for wide screens */
        display: block;

        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-vy9txwohqf],
.components-reconnect-repeated-attempt-visible[b-vy9txwohqf],
.components-reconnect-failed-visible[b-vy9txwohqf],
.components-pause-visible[b-vy9txwohqf],
.components-resume-failed-visible[b-vy9txwohqf],
.components-rejoining-animation[b-vy9txwohqf] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-vy9txwohqf],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-vy9txwohqf],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-vy9txwohqf],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-vy9txwohqf],
#components-reconnect-modal.components-reconnect-retrying[b-vy9txwohqf],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-vy9txwohqf],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-vy9txwohqf],
#components-reconnect-modal.components-reconnect-failed[b-vy9txwohqf],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-vy9txwohqf] {
    display: block;
}


#components-reconnect-modal[b-vy9txwohqf] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-vy9txwohqf 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-vy9txwohqf 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-vy9txwohqf 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-vy9txwohqf]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-vy9txwohqf 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-vy9txwohqf {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-vy9txwohqf {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-vy9txwohqf {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-vy9txwohqf] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-vy9txwohqf] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-vy9txwohqf] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-vy9txwohqf] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-vy9txwohqf] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-vy9txwohqf] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-vy9txwohqf] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-vy9txwohqf 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-vy9txwohqf] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-vy9txwohqf {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
/* /Components/Pages/Exports.razor.rz.scp.css */
/* /Components/Pages/Hourly.razor.rz.scp.css */
.bordered-column[b-um3grom95a] {
    display: block;
    border-left: 2px solid #d3d3d3;
    border-right: 2px solid #d3d3d3;
    padding: 5px;
}

.bordered-column-left[b-um3grom95a] {
    display: block;
    border-left: 2px solid #d3d3d3;
}

.bordered-column-right[b-um3grom95a] {
    display: block;
    border-right: 2px solid #d3d3d3;
}

.page-options .options-title[b-um3grom95a]{
    font-weight: bold !important;
}

.insufficient-hours[b-um3grom95a]{
    color: red;
}

.sufficient-hours[b-um3grom95a] {
    color: green;
}

.alt-item > td:not(.dxbl-grid-empty-cell)[b-um3grom95a],
.alt-item > td:not(.dxbl-grid-indent-cell)[b-um3grom95a] {
    background-color: color-mix(in srgb, var(--bs-gray-300), transparent 50%);
}
/* Fluent Themes */
.alt-item[b-um3grom95a] {
    --dxbl-grid-row-bg: var(--DS-color-surface-neutral-subdued-rest);
}
/* /Components/Pages/Invoices.razor.rz.scp.css */
.dx-dropdownbox-popup[b-0sc300bjzf],
.dx-daterange-popup[b-0sc300bjzf] {
    z-index: 1061 !important;
}

[b-0sc300bjzf] .dxbl-grid {
    --grid-border: 1px solid #ddd;
}

.dx-overlay-wrapper[b-0sc300bjzf] {
    position: absolute !important;
}

.JobsPageWrapper[b-0sc300bjzf] {
    padding: 0px 20px;
}

.HeaderPageContainer[b-0sc300bjzf] {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* Styling for the left section of the header */
.HeaderPageContainerContentLeft h3[b-0sc300bjzf] {
    margin: 0;
    font-size: 3rem;
    font-weight: bold;
    color: #333;
}

/* Styling for the right section of the header button */
.HeaderPageContainerContentRight button[b-0sc300bjzf] {
    border-radius: 5px;
    font-size: 1.2rem;
    padding: 8px 12px;
    cursor: pointer;
    transition: all 0.3s ease;
    height: 40px;
    width: 43px;
}

    .HeaderPageContainerContentRight button:hover[b-0sc300bjzf] {
        background-color: #341a94 !important;
        border-color: #341a94 !important;
    }

/* Navigation tabs styling */
.nav-tabs[b-0sc300bjzf] {
    border-bottom: 1px solid #dee2e6;
}

.modal[b-0sc300bjzf] {
    z-index: 1050 !important;
}

.JobsPageNavTabDesign[b-0sc300bjzf] {
    flex-direction: row;
    align-content: center;
    justify-content: flex-start;
    display: flex;
}

.nav-tabs .nav-link[b-0sc300bjzf] {
    font-size: 1rem;
    padding: 10px 15px;
    color: black;
    border-left: unset;
    border-right: unset;
    border-top: unset;
}

    .nav-tabs .nav-link.active[b-0sc300bjzf] {
        color: black;
        background-color: transparent;
        border-left: unset;
        border-right: unset;
        border-top: unset;
        border-bottom: 5px solid #341a94;
    }

    .nav-tabs .nav-link:hover[b-0sc300bjzf] {
        border-left: unset;
        border-right: unset;
        border-top: unset;
        color: #4723D9;
    }

/* Tab content styling */
.tab-content[b-0sc300bjzf] {
    padding: 15px;
    background-color: #fff;
    border-top: none;
}

/* FiltersTabHeader styling */
.FiltersTabHeader[b-0sc300bjzf] {
    padding: 10px 0;
    font-size: 1.2rem;
    font-weight: bold;
    color: #555;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: space-between;
}

/* Placeholder DXGRID area */
.tab-pane .dx-grid-placeholder[b-0sc300bjzf] {
    min-height: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #999;
    font-style: italic;
}

.HeaderPageContainerContentLeft button[b-0sc300bjzf] {
    border-radius: 20px;
    background-color: #4723d9;
}

.mini-window[b-0sc300bjzf] {
    border: 1px solid #ddd;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    background-color: #fff;
    border-radius: 8px;
    transition: all 0.3s ease-in-out;
}

.mini-window ul[b-0sc300bjzf] {
    list-style: none;
    padding: 0;
    margin: 0;
}

.dxbl-grid > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > .dxbl-grid-table > tbody[b-0sc300bjzf] {
    border: 2px black solid !important;
}

.dxbl-text-edit-invalid[b-0sc300bjzf] {
    border-color: red !important;
}

.form-check-input[b-0sc300bjzf]{
    border-color: red !important;
}

.form-check-input:checked[b-0sc300bjzf] {
    background-color: white !important;
    border-color: red !important;
}

.client-level[b-0sc300bjzf] {
    background-color: #90ee90;
}
/* /Components/Pages/Jobs.razor.rz.scp.css */
.JobsPageWrapper[b-3e089h385n] {
    padding: 0px 20px;
}

.HeaderPageContainer[b-3e089h385n] {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* Styling for the left section of the header */
.HeaderPageContainerContentLeft h3[b-3e089h385n] {
    margin: 0;
    font-size: 1.5rem;
    font-weight: bold;
    color: #333;
}

/* Styling for the right section of the header button */
.HeaderPageContainerContentRight button[b-3e089h385n] {
    border-radius: 5px;
    font-size: 1.2rem;
    padding: 8px 12px;
    cursor: pointer;
    transition: all 0.3s ease;
    width: 43px;
    height: 40px;
}

    .HeaderPageContainerContentRight button:hover[b-3e089h385n] {
        background-color: #341a94 !important;
        border-color: #341a94 !important;
    }

/* Navigation tabs styling */
.nav-tabs[b-3e089h385n] {
    border-bottom: 1px solid #dee2e6;
}

.JobsPageNavTabDesign[b-3e089h385n] {
    flex-direction: row;
    align-content: center;
    justify-content: flex-start;
    display: flex;
}

.nav-tabs .nav-link[b-3e089h385n] {
    font-size: 1rem;
    padding: 10px 15px;
    color: black;
    border-left: unset;
    border-right: unset;
    border-top: unset;
}

        .nav-tabs .nav-link.active[b-3e089h385n] {
            color: black;
            background-color: transparent;
            border-left: unset; border-right: unset; border-top: unset;
            border-bottom: 5px solid #341a94;
        }

        .nav-tabs .nav-link:hover[b-3e089h385n] {
            border-left: unset;
            border-right: unset;
            border-top: unset;
            color: #4723D9;
        }

/* Tab content styling */
.tab-content[b-3e089h385n] {
    padding: 15px;
    background-color: #fff;
    border-top: none;
}

/* FiltersTabHeader styling */
.FiltersTabHeader[b-3e089h385n] {
    padding: 10px 0;
    font-size: 1.2rem;
    font-weight: bold;
    color: #555;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: space-between;
}

/* Placeholder DXGRID area */
.tab-pane .dx-grid-placeholder[b-3e089h385n] {
    min-height: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #999;
    font-style: italic;
}

.HeaderPageContainerContentLeft button[b-3e089h385n] {
    border-radius: 20px;
    background-color: #4723d9;
}
/* /Components/Pages/MyJobs.razor.rz.scp.css */
.dx-dropdownbox-popup[b-v4jug1wmqx],
.dx-daterange-popup[b-v4jug1wmqx] {
    z-index: 1061 !important;
}

.dx-overlay-wrapper[b-v4jug1wmqx] {
    position: absolute !important;
}

.JobsPageWrapper[b-v4jug1wmqx] {
    padding: 0px 20px;
}

.HeaderPageContainer[b-v4jug1wmqx] {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* Styling for the left section of the header */
.HeaderPageContainerContentLeft h3[b-v4jug1wmqx] {
    margin: 0;
    font-size: 1.5rem;
    font-weight: bold;
    color: #333;
}

/* Styling for the right section of the header button */
.HeaderPageContainerContentRight button[b-v4jug1wmqx] {
    border-radius: 5px;
    font-size: 1.2rem;
    padding: 8px 12px;
    cursor: pointer;
    transition: all 0.3s ease;
    height: 40px;
    width: 43px;
}

    .HeaderPageContainerContentRight button:hover[b-v4jug1wmqx] {
        background-color: #341a94 !important;
        border-color: #341a94 !important;
    }

/* Navigation tabs styling */
.nav-tabs[b-v4jug1wmqx] {
    border-bottom: 1px solid #dee2e6;
}

.modal[b-v4jug1wmqx] {
    z-index: 1050 !important;
}

.JobsPageNavTabDesign[b-v4jug1wmqx] {
    flex-direction: row;
    align-content: center;
    justify-content: flex-start;
    display: flex;
}

.nav-tabs .nav-link[b-v4jug1wmqx] {
    font-size: 1rem;
    padding: 10px 15px;
    color: black;
    border-left: unset;
    border-right: unset;
    border-top: unset;
}

    .nav-tabs .nav-link.active[b-v4jug1wmqx] {
        color: black;
        background-color: transparent;
        border-left: unset;
        border-right: unset;
        border-top: unset;
        border-bottom: 5px solid #341a94;
    }

    .nav-tabs .nav-link:hover[b-v4jug1wmqx] {
        border-left: unset;
        border-right: unset;
        border-top: unset;
        color: #4723D9;
    }

/* Tab content styling */
.tab-content[b-v4jug1wmqx] {
    padding: 15px;
    background-color: #fff;
    border-top: none;
}

/* FiltersTabHeader styling */
.FiltersTabHeader[b-v4jug1wmqx] {
    padding: 10px 0;
    font-size: 1.2rem;
    font-weight: bold;
    color: #555;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: space-between;
}

/* Placeholder DXGRID area */
.tab-pane .dx-grid-placeholder[b-v4jug1wmqx] {
    min-height: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #999;
    font-style: italic;
}

.HeaderPageContainerContentLeft button[b-v4jug1wmqx] {
    border-radius: 20px;
    background-color: #4723d9;
}

.mini-window[b-v4jug1wmqx] {
    border: 1px solid #ddd;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    background-color: #fff;
    border-radius: 8px;
    transition: all 0.3s ease-in-out;
}

    .mini-window ul[b-v4jug1wmqx] {
        list-style: none;
        padding: 0;
        margin: 0;
    }
/* /Components/Pages/Timesheet.razor.rz.scp.css */
.JobsPageWrapper[b-ng9q846t71] {
    padding: 0px 20px;
}


/*.bordered-column {
    display: block;
    border-left: 2px solid #d3d3d3;
    border-right: 2px solid #d3d3d3;
    padding: 5px;
}

.bordered-column-left {
    display: block;
    border-left: 2px solid #d3d3d3;
}

.bordered-column-right {
    display: block;
    border-right: 2px solid #d3d3d3;
}*/

.HeaderPageContainer[b-ng9q846t71] {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* Styling for the left section of the header */
.HeaderPageContainerContentLeft h3[b-ng9q846t71] {
    margin: 0;
    font-size: 1.5rem;
    font-weight: bold;
    color: #333;
}

/* Styling for the right section of the header button */
.HeaderPageContainerContentRight button[b-ng9q846t71] {
    border-radius: 5px;
    font-size: 1.2rem;
    padding: 8px 12px;
    cursor: pointer;
    transition: all 0.3s ease;
    height: 40px;
    width: 43px;
}

    .HeaderPageContainerContentRight button:hover[b-ng9q846t71] {
        background-color: #341a94 !important;
        border-color: #341a94 !important;
    }

/* Navigation tabs styling */
.nav-tabs[b-ng9q846t71] {
    border-bottom: 1px solid #dee2e6;
}

.JobsPageNavTabDesign[b-ng9q846t71] {
    flex-direction: row;
    align-content: center;
    justify-content: flex-start;
    display: flex;
}

.nav-tabs .nav-link[b-ng9q846t71] {
    font-size: 1rem;
    padding: 10px 15px;
    color: black;
    border-left: unset;
    border-right: unset;
    border-top: unset;
}

    .nav-tabs .nav-link.active[b-ng9q846t71] {
        color: black;
        background-color: transparent;
        border-left: unset;
        border-right: unset;
        border-top: unset;
        border-bottom: 5px solid #341a94;
    }

    .nav-tabs .nav-link:hover[b-ng9q846t71] {
        border-left: unset;
        border-right: unset;
        border-top: unset;
        color: #4723D9;
    }

/* Tab content styling */
.tab-content[b-ng9q846t71] {
    padding: 15px;
    background-color: #fff;
    border-top: none;
}

/* FiltersTabHeader styling */
.FiltersTabHeader[b-ng9q846t71] {
    padding: 10px 0;
    font-size: 1.2rem;
    font-weight: bold;
    color: #555;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: space-between;
}
/* Modal styling*/
.modal[b-ng9q846t71] {
    z-index: 1050;
}
.modal-content[b-ng9q846t71] {
    overflow: visible !important;
}
.de-dropdown-container[b-ng9q846t71] {
    z-index: 1050 !important;
}

/* Placeholder DXGRID area */
.tab-pane .dx-grid-placeholder[b-ng9q846t71] {
    min-height: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #999;
    font-style: italic;
}

.HeaderPageContainerContentLeft button[b-ng9q846t71] {
    border-radius: 20px;
    background-color: #4723d9;
}

.MyAlternateStyle table tbody tr:nth-child(odd)[b-ng9q846t71] {
    background-color: azure !important;
}
/* /Components/Pages/Worksorder.razor.rz.scp.css */
.dx-daterange-popup[b-vmik95cou2] {
    z-index: 1061 !important;
}

.modal[b-vmik95cou2] {
    z-index: 1050 !important;
}

.cw-300[b-vmik95cou2]{
    height: 37.6px !important;
}

.btn.bg-secondary:disabled[b-vmik95cou2],
.btn.bg-secondary.disabled[b-vmik95cou2] {
    border: unset !important;
    color: #fff !important;
    opacity: 0.65 !important;
}

.btn.bg-warning:disabled[b-vmik95cou2],
.btn.bg-warning.disabled[b-vmik95cou2] {
    border: unset !important;
    color: #000 !important;
    opacity: 0.65 !important;
}

.btn.bg-primary:disabled[b-vmik95cou2],
.btn.bg-primary.disabled[b-vmik95cou2] {
    border: unset !important;
    color: #000 !important;
    opacity: 0.65 !important;
}

.btn.bg-danger:disabled[b-vmik95cou2],
.btn.bg-danger.disabled[b-vmik95cou2] {
    border: unset !important;
    color: #000 !important;
    opacity: 0.65 !important;
}

/* Editor (search box) styling */
.custom-dropdown-editor[b-vmik95cou2] {
    border: 1px solid #ccc !important;
    border-radius: 6px;
    background-color: #fafafa;
    padding: 8px;
    font-size: 14px;
    box-shadow: none;
}

/* Dropdown list container styling */
.custom-dropdown-body[b-vmik95cou2] {
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 6px;
    max-height: 300px;
    overflow-y: auto;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

/* List item styling */
.custom-dropdown-body .dxbs-list-box-item[b-vmik95cou2] {
    padding: 10px 14px;
    cursor: pointer;
    transition: background-color 0.2s;
}

/* Hover effect */
.custom-dropdown-body .dxbs-list-box-item:hover[b-vmik95cou2] {
    background-color: #f2f2f2;
}

/* Selected item */
.custom-dropdown-body .dxbs-state-selected[b-vmik95cou2] {
    background-color: #e6f7ff;
    font-weight: bold;
}
